Skip to main content
GET
/
book
List Book Transfers
curl --request GET \
  --url https://api.treasuryprime.com/book \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/book"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "amount": "100.00",
      "created_at": "2017-11-02T11:55:14Z",
      "description": null,
      "from_account_id": "acct_1234567890",
      "id": "book_1029384756",
      "status": "pending",
      "to_account_id": "acct_0987654321",
      "updated_at": "2017-11-02T11:55:14Z",
      "userdata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

from_account_id
string

ID of the account originating the transfer. Filterable.

org_id
string

ID of the organization with which the object is associated. Filterable.

status
string

One of pending, canceled, sent, or error. Filterable.

to_account_id
string

ID of the account receiving the transfer. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size book elements, starting after the book described by page_cursor. If no more books are available, the resulting list will be empty.

data
object[]